Bug 50307 - installer hangs at Performing post install configuration
installer hangs at Performing post install configuration
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-30 06:10 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-10 18:47:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-30 06:10:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 95; DigExt)

Description of problem:
While upgrading from 7.0 to 7.1, all packages installed without errors.  
The "Performing post install configuration" went all the way across to 
100% then stopped.

VC3 has only one line that may be a related error:
* did not run inetdconvert because no inetd.conf.rpmsave found

VC4 has no errors.  VC2 is still usable.

How reproducible:
Didn't try

Additional info:
Comment 1 Brent Fox 2001-07-30 11:14:23 EDT
That error message is curious, but I don't think it would cause the install to
freeze.  There's a return call in the code that should allow the install to

From todo.py:
        if not os.access (self.instPath + "/etc/inetd.conf.rpmsave", os.R_OK):
            log("did not run inetdconvert because no inetd.conf.rpmsave found")

I don't know what could be causing the system to hang, though.  Are you able to
type any commands on VC2?
Comment 2 Need Real Name 2001-07-30 19:27:29 EDT
All commands on VC2 seem to be functional.  I have left the install hung 
because I'm not sure if I can recover and continue or if I have to somehow 
start over.
Comment 3 Brent Fox 2001-08-06 12:32:04 EDT
msw, does this look like the Heisen bug that you found?
Comment 4 Matt Wilson 2001-08-06 13:07:59 EDT
yea, this would apply back to 7.1 as well.
Comment 5 Brent Fox 2001-08-10 13:00:51 EDT
I think if you were to try the install again, things might work.  This
particular bug was very rare and hard to reproduce.  msw has committed a patch
that will keep this from happening in future releases.  Do things work ok when
you try again?
Comment 6 Need Real Name 2001-08-10 18:47:44 EDT
I did rerun the install, and my system is working great now.
Comment 7 Brent Fox 2001-08-13 11:24:50 EDT
Ok.  Glad to know things are working now.  Please reopen this report if you see
this behavior in a future release.  This should be fixed now.  Thanks for your

Note You need to log in before you can comment on or make changes to this bug.